library call_operator_snippet;

import 'package:unittest/unittest.dart';

// START:call
class ComicModel {
  call() {
    save();
  }
  save() {
    // do save things here...
  }
}
// END:call

run() {
  group("[call_operator]", (){
    test('can masquerade as a function', (){
      var comic = new ComicModel();

      // START:save_shortcut
      comic();
      // END:save_shortcut

      expect(comic, returnsNormally);
    });
  });
}
