library setter_methods_snippet;

import 'package:unittest/unittest.dart';

// START:class_setter
class ComicsCollection {
  String _url;
  void set url(new_url) {
    _url = new_url;
  }
  String get url => _url;
}
// END:class_setter

run() {
  group("[setter_methods]", (){
    test('behave like properties', (){
      var comics_collection = new ComicsCollection();
      var shiny_new_url = '/comics';

      // START:use_setter
      comics_collection.url = shiny_new_url;
      // END:use_setter

      expect(
        comics_collection.url,
        equals(shiny_new_url)
      );
    });
  });
}
