library superclass_ivar_access_snippet;

import 'package:unittest/unittest.dart';

class IterableBase {}

// START:superclass_intro
abstract class HipsterCollection extends IterableBase {
  void set url(v);
  String get url;

  fetch() {
    // HTTP Request url from subclass
  }
// END:superclass_intro
  get starredUrl => "*** ${url} ***";
// START:superclass_close
  // ...
}
// END:superclass_close

// START:subclass
class ComicsCollection extends HipsterCollection {
  var url = '/comics';
}
// END:subclass

run() {
  group("[superclass access]", (){
    test('cannot access subclass ivar', (){
      var comics_collection = new ComicsCollection();
      expect(
        comics_collection.starredUrl,
        equals('*** /comics ***')
      );
    });
  });
}
