library local_comic_book;

import 'dart:convert';
import 'dart:html';

import 'HipsterModel.dart';

// START:local_comic_intro
class LocalComic extends HipsterModel {
  LocalComic(attributes) : super(attributes);

  save({callback}) {
    var id = (attributes['id'] != null) ?
      attributes['id'] : hashCode.toString();

    var json = window.localStorage[urlRoot],
        data = (json != null) ? JSON.decode(json) : {};

    attributes['id'] = id;
    data[id] = attributes;

    window.localStorage[urlRoot] = JSON.encode(data);

    if (callback != null) callback(data);
  }
// END:local_comic_intro

  get urlRoot => "/comics";

// START:local_comic_close
  //...
}
// END:local_comic_close
