library basics_snippet;

import 'package:unittest/unittest.dart';

class Element {}
class ComicModel {}

// START:class_keyword
class ComicsCollection {
  // describe class operations here...
}
// END:class_keyword

// START:ivars
class ComicsView {
  ComicsCollection collection;
  ComicModel model;
  Element el;
  // ...
}
// END:ivars

run() {
  group("[basics]", (){
    test('instantiation', (){
      var object = new ComicsCollection();
      expect(object, isNotNull);
    });

    test('ivar getter', (){
      var comics_view = new ComicsView();
      // START:getter
      comics_view.collection;
      // => instance of ComicsCollection
      // END:getter
      expect(()=>comics_view.collection, returnsNormally);
    });

    test('ivar setter', (){
      var new_collection = ['foo', 'bar'];
      var comics_view = new ComicsView();
      // START:setter
      comics_view.collection = new_collection;
      // END:setter
      expect(comics_view.collection, equals(['foo', 'bar']));
    });
  });
}
