library generative_constructor_snippet;

import 'package:unittest/unittest.dart';

// START:generative
class ComicsCollection {
  CollectionEvents on;
  List<ComicModel> models;
  // Our constructor
  ComicsCollection() {
    on = new CollectionEvents();
    models = [];
  }
}
// END:generative

class CollectionEvents {}

// START:model_intro
class ComicModel {
  ComicModel() {
    on = new ModelEvents();
    attributes = {};
  }
// END:model_intro

  var on, attributes;
// START:model_close
  // ...
}
// END:model_close

class ModelEvents {}

run() {
  group("[generative_constructor]", (){
    test('can construct', (){
      var comics = new ComicsCollection();
      expect(
        comics.models.length,
        equals(0)
      );
    });

  });
}
