library getter_methods_snippet;

import 'package:unittest/unittest.dart';

// START:class_getter
class ComicsCollection {
  String get url => '/comics';
}
// END:class_getter

run() {
  group("[getter_methods]", (){
    test('behave like properties', (){
      var comics_collection = new ComicsCollection();

      var url =
      // START:use_getter
      // No parens required!
      comics_collection.url;
      // => '/comics'
      // END:use_getter
      expect(
        url,
        equals('/comics')
      );
    });
  });
}
