// START: hipster_collection_intro
library hipster_collection;

import 'dart:html';
import 'dart:collection';
import 'dart:convert';

import 'HipsterModel.dart';

abstract class HipsterCollection extends IterableBase {
  List models = [];

  HipsterModel modelMaker(attrs);
  String get url;

  // Other hip collection stuff goes here...
// END: hipster_collection_intro

  // Be List-like
  Iterator get iterator => models.iterator;

  // Be Backbone like
  operator [](id) {
    var ret;
    forEach((model) {
      if (model['id'] == id) ret = model;
    });
    return ret;
  }

  fetch() {
    /*
      would normally do something like:

      var req = new HttpRequest();

      req.onLoad.listen(_handleOnLoad);
      req.open('get', url);
      req.send();
    */
  }

// START:hipster_collection_close
}
// END:hipster_collection_close
