library calling_methods_from_no_such_method_snippet;

import 'package:unittest/unittest.dart';
import '../../annotations.dart';

// START:intro
class HipsterModel {
  bool useLocal;
  // ...
  noSuchMethod(args) {
    // Guard clauses here ...
// END:intro
    if (args.memberName != #save) {
      var method_name = args.memberName.toString().
        replaceAll('Symbol("', '').
        replaceAll(new RegExp(r'@.+'), '');
      throw "Yikes ${method_name}";
    }
// START:close
    if (useLocal) {
      // THIS WON'T WORK
      _localSave(args);
    }
    else {
      // THIS WON'T WORK
      _ajaxSave(args);
    }
  }
  _localSave({callback}) { /* ... */ }
  _ajaxSave({callback}) { /* ... */ }
}
// END:close

run() {
  group("[bad invocation from noSuchMethod]", (){
    test('cannot supply invocation mirror arguments', (){
      var m = new HipsterModel();
      expect(()=> m.save(), throwsA("Yikes _ajaxSave"));
      // expect(()=> m.save(), returnsNormally);
    });
  });
}
